package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.RoleFloorTypeInfo;


public class UserFormUpdateDto   implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 92771584641445768L;
	private String id;
	private String  actType;
	private String roleIds;
	private String roleMap;
	private String funcid;
	private String username;
	private String password;
	private String telephone;
	private String fullName;
	private String empDate;
	private String sex;
	private String empdate;
	private String sexGroup;
	private String position;//职位
	
	private String companyIds;//所管辖的运营中心
	private String deptIds;//所管辖的部门
	private String orgnizationIds;//所管辖的项目
	private String companyid;//所属的运营中心
	private String deptid;//所属的部门
	private Integer userType;//用户账号类型
	private String workNo;

	public Integer getUserType() {
		return userType;
	}
	public void setUserType(Integer userType) {
		this.userType = userType;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getActType() {
		return actType;
	}
	public void setActType(String actType) {
		this.actType = actType;
	}
	public String getRoleIds() {
		return roleIds;
	}
	public void setRoleIds(String roleIds) {
		this.roleIds = roleIds;
	}
	public String getOrgnizationIds() {
		return orgnizationIds;
	}
	public void setOrgnizationIds(String orgnizationIds) {
		this.orgnizationIds = orgnizationIds;
	}
	public String getRoleMap() {
		return roleMap;
	}
	public void setRoleMap(String roleMap) {
		this.roleMap = roleMap;
	}
	public String getFuncid() {
		return funcid;
	}
	public void setFuncid(String funcid) {
		this.funcid = funcid;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getTelephone() {
		return telephone;
	}
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	public String getFullName() {
		return fullName;
	}
	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	public String getEmpDate() {
		return empDate;
	}
	public void setEmpDate(String empDate) {
		this.empDate = empDate;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}
	public String getEmpdate() {
		return empdate;
	}
	public void setEmpdate(String empdate) {
		this.empdate = empdate;
	}
	public String getSexGroup() {
		return sexGroup;
	}
	public void setSexGroup(String sexGroup) {
		this.sexGroup = sexGroup;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public String getCompanyIds() {
		return companyIds;
	}
	public void setCompanyIds(String companyIds) {
		this.companyIds = companyIds;
	}
	public String getDeptIds() {
		return deptIds;
	}
	public void setDeptIds(String deptIds) {
		this.deptIds = deptIds;
	}
	public String getCompanyid() {
		return companyid;
	}
	public void setCompanyid(String companyid) {
		this.companyid = companyid;
	}
	public String getDeptid() {
		return deptid;
	}
	public void setDeptid(String deptid) {
		this.deptid = deptid;
	}
	public String getWorkNo() {
		return workNo;
	}
	public void setWorkNo(String workNo) {
		this.workNo = workNo;
	}
	
	
}
